<div class="search-container"
    [ngClass]="{ 'xsmallDisplay' : currentScreenSize === 'Small' || currentScreenSize === 'XSmall' }">
    <div class="title" *ngIf="showTitle">
        <h2>Consulter les prochains départs en bus, train et avion pour d'autres villes du Cameroun.</h2>
    </div>
    <div class="search-form">
        <!--  <mat-radio-group [(ngModel)]="searchConnectionType" aria-label="Select an option">
            <mat-radio-button value="only-go">Aller simple</mat-radio-button>
            <mat-radio-button style="margin-left: 10px;" value="round-trip">Aller-retour</mat-radio-button>
        </mat-radio-group> -->

        <div class="search-bloc" style="margin-top: 20px;display: flex;gap: 10px;justify-content: space-between;">
            <app-city-input [cities]="citiesValues" [citySelectedId]="connectionReq.DepartArretID!"
                (citySelectedChange)="connectionReq.DepartArretID = $event" [placeHolder]="'Ville de départ'"
                #cityInput>
            </app-city-input>

            <button class="invert-btn" mat-stroked-button
                [disabled]="!connectionReq.DepartArretID || !connectionReq.ArrivalArretID"
                (click)="invertDepartureArrival()" color="secondary">
                <mat-icon>compare_arrows</mat-icon>
            </button>

            <app-city-input class="dest-input" [cities]="citiesValues" [citySelectedId]="connectionReq.ArrivalArretID"
                (citySelectedChange)="connectionReq.ArrivalArretID = $event" [placeHolder]="'Ville d\'arrivée'"
                #cityInput>
            </app-city-input>

            <mat-form-field appearance="outline">
                <mat-label>Choisissez une date de départ.</mat-label>
                <input [min]="minSearchDate" (focus)="picker.open()" matInput [matDatepicker]="picker"
                    [(ngModel)]="connectionReq.StartDate">
                <mat-hint>DD/MM/YYYY</mat-hint>
                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>

            <button class="search-btn" mat-flat-button [disabled]="!connectionReq.ArrivalArretID 
                                                || !connectionReq.DepartArretID 
                                                || !connectionReq.StartDate" color="accent" (click)="onSearchClick()">
                Rechercher
            </button>
        </div>

    </div>
</div>